Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.grogra
Class DTGShoot

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.objects.Null
                  de.grogra.imp3d.objects.ShadedNull
                      de.grogra.imp3d.objects.AxisBase
                          de.grogra.turtle.TurtleStep
                              de.grogra.turtle.Shoot
                                  de.grogra.turtle.F
                                      de.grogra.grogra.DTGShoot

All Implemented Interfaces:
  Transformation, VertexSequence.Vertex, Manageable, PersistenceCapable, Shareable, UserFields, XObject, TurtleModifier, Map, java.io.Serializable

    public class DTGShoot

extends F

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.turtle.F
`F.Pattern`

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`float` | `carbon`
`static Node.NType.Field` | `carbon$FIELD`
`int` | `generativeDistance`
`static Node.NType.Field` | `generativeDistance$FIELD`
`float` | `heartwood`
`static Node.NType.Field` | `heartwood$FIELD`
`int` | `internodeCount`
`static Node.NType.Field` | `internodeCount$FIELD`
`int` | `noOfYear`
`static Node.NType.Field` | `noOfYear$FIELD`
`int` | `order`
`static Node.NType.Field` | `order$FIELD`
`float` | `parameter`
`static Node.NType.Field` | `parameter$FIELD`
`float` | `relPosition`
`static Node.NType.Field` | `relPosition$FIELD`
`int` | `scale`
`static Node.NType.Field` | `scale$FIELD`
`float` | `tropismStrength`
`static Node.NType.Field` | `tropismStrength$FIELD`

Fields inherited from class de.grogra.turtle.F
`color, color$FIELD, diameter, diameter$FIELD, length, length$FIELD`

Fields inherited from class de.grogra.turtle.Shoot
`localRegisters$FIELD`

Fields inherited from class de.grogra.imp3d.objects.AxisBase
`SCALE_V_MASK, scaleV$FIELD, USED_BITS`

Fields inherited from class de.grogra.imp3d.objects.ShadedNull
`INFINITE_MASK, interior, interior$FIELD, shader, shader$FIELD, treatedAsInfinite$FIELD`

Fields inherited from class de.grogra.imp3d.objects.Null
`transform, transform$FIELD, TRANSFORMING_MASK, transforming$FIELD`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`DTGShoot()`

Method Summary
`protected float` | `getFloat(FloatAttribute a, GraphState gs)`
`protected int` | `getInt(IntAttribute a, GraphState gs)`
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.

Methods inherited from class de.grogra.turtle.F
`getLength`

Methods inherited from class de.grogra.turtle.Shoot
`execute, getBoolean, getLocalRegisters, getObject, getSymbolColor, getVertexTransformation, setLocalRegisters`

Methods inherited from class de.grogra.turtle.TurtleStep
`getDouble, postTransform`

Methods inherited from class de.grogra.imp3d.objects.AxisBase
`isScaleV, setScaleV`

Methods inherited from class de.grogra.imp3d.objects.ShadedNull
`getInterior, getShader, isTreatedAsInfinite, setBackShader, setColor, setColor, setFrontShader, setInterior, setMaterial, setShader, setShaders, setTreatedAsInfinite`

Methods inherited from class de.grogra.imp3d.objects.Null
`getLocalTransformation, getTransform, getTranslation, isTransforming, preTransform, setRotation, setScale, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransforming, setTranslation`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, fieldModified, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getGraph, getId, getIndex, getInstantiator, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### carbon

    public float carbon

### carbon$FIELD

    public static final Node.NType.Field carbon$FIELD

### generativeDistance

    public int generativeDistance

### generativeDistance$FIELD

    public static final Node.NType.Field generativeDistance$FIELD

### heartwood

    public float heartwood

### heartwood$FIELD

    public static final Node.NType.Field heartwood$FIELD

### internodeCount

    public int internodeCount

### internodeCount$FIELD

    public static final Node.NType.Field internodeCount$FIELD

### noOfYear

    public int noOfYear

### noOfYear$FIELD

    public static final Node.NType.Field noOfYear$FIELD

### order

    public int order

### order$FIELD

    public static final Node.NType.Field order$FIELD

### parameter

    public float parameter

### parameter$FIELD

    public static final Node.NType.Field parameter$FIELD

### relPosition

    public float relPosition

### relPosition$FIELD

    public static final Node.NType.Field relPosition$FIELD

### scale

    public int scale

### scale$FIELD

    public static final Node.NType.Field scale$FIELD

### tropismStrength

    public float tropismStrength

### tropismStrength$FIELD

    public static final Node.NType.Field tropismStrength$FIELD

Constructor Detail

### DTGShoot

    public DTGShoot()

Method Detail

### getFloat

    protected float getFloat(FloatAttribute a,
                             GraphState gs)

  Overrides:
    `getFloat` in class `F`

### getInt

    protected int getInt(IntAttribute a,
                         GraphState gs)

  Overrides:
    `getInt` in class `F`

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `F`
  Returns:
    type describing the managed fields of the class of this node

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `F`
  Returns:
    new instance of class of this node

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD